﻿<MudDialog>
    <DialogContent>
        @Content
    </DialogContent>
    <DialogActions>
        <MudButton Color="Color.Primary" OnClick="GoToScanning">Start scanning</MudButton>
        <MudButton OnClick="Return">Return</MudButton>
    </DialogActions>
</MudDialog>

@code {
    [CascadingParameter] MudDialogInstance MudDialog { get; set; }

    [Parameter]
    public string Content { get; set; }

    void GoToScanning() => MudDialog.Close(DialogResult.Ok(true));
    void Return() => MudDialog.Cancel();
}
